/* ;-*-c++-*-
 * 
 * qmmp3info.h
 *
 * $Id: qmmp3info.h,v 1.8 2002/05/22 00:41:19 kyllingstad Exp $
 * 
 * Apollo sound player: http://www.apolloplayer.org
 * Copyright(C) 2000-2002 Apollo Team.  See CREDITS file.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The GNU General Public License is also available online at:
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef QMMP3INFO_H_INCLUDED
#define QMMP3INFO_H_INCLUDED

#include <qstring.h>

#include "qmsonginfo.h"

class QmMp3Info : public QmSongInfo
{
public:
	QmMp3Info(const QString &filename);
	virtual ~QmMp3Info();

	virtual const QString& get(Field f) const;
	static const char *genres[];

private:
	void readLibid3tag();
	void readGenre(const char *from);
	
    QmMp3Info(const QmMp3Info &/*other*/) {}
    QmMp3Info& operator=(const QmMp3Info &/*rhs*/) {return *this;}
    
	QString					m_Filename;
	QString                 m_Fields[QmSongInfo::Fields];
};

#endif // QMMP3INFO_H_INCLUDED
